Subject: Re: bug#51102: [PATCH] Make speedbar XEmacs compatibility mode obsolete (etags)

From: Eric Ludlam <[email-masked]>
Date: Sun, 10 Oct 2021 12:31:43 -0400

Hi all.

That was a very long time ago so I don't remember any specifics from then,
but I can think of two reasons imenu is better.

One, you don't need to save the file and run an external command.

Two, imenu has some nice binning it does to make the tags more navigable.

I don't recall specific issues with etags within speedbar though, so
"robust" is probably not the right word here.

Eric

On Sat, Oct 9, 2021, 3:52 AM Eli Zaretskii <[email-masked]> wrote:

> > From: Stefan Kangas <[email-masked]>
> > Date: Sat, 9 Oct 2021 00:08:06 -0700
> > Cc: [email-masked], [email-masked]
> >
> > Eli Zaretskii <[email-masked]> writes:
> >
> > > I also don't understand the "Etags support is not as robust as imenu
> > > support" part of the doc string.
> >
> > The author seems to have held the opinion that etags is not relevant on
> > Emacs:
> >
> > ;;; Tag Management -- etags  (old XEmacs compatibility part)
> >
> > That comment dates to 1998, when speedbar.el was first imported.
>
> Yes, I've seen that.  I'd like the author to elaborate on that: what
> exactly is not robust in the etags support by Speedbar?
>